Update a bot

​

Updates a bot. The join_at, meeting_url, bot_name, bot_image and recording_settings fields can only be updated when the bot is in the scheduled state. The metadata field can be updated at any time.

Path Parameters

  • Bot ID

Headers

  • API key for authentication

  • Should always be application/json

Body·

application/json

Mixin class providing validation for common attributes used in both patching and creating bots.

  • The image for the bot

    Properties: 2
  • The name of the bot, e.g. 'My Bot'

  • The time the bot should join the meeting. ISO 8601 format, e.g. 2025-06-13T12:00:00Z

  • The URL of the meeting to join, e.g. https://zoom.us/j/123?pwd=456

  • JSON object containing metadata to associate with the bot

  • The settings for the bot's recording. The settings specified here will completely replace the existing settings.

    Properties: 6

Responses

  • application/json
  • Invalid input or bot cannot be updated

  • Bot not found

Request Example for patch/api/v1/bots/{object_id}
curl 'https://app.attendee.dev/api/v1/bots/{object_id}' \
  --request PATCH \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "join_at": "2025-06-13T12:00:00Z"
}'
{
  "id": "string",
  "metadata": {},
  "meeting_url": "string",
  "state": "ready",
  "events": [
    {
      "type": "string",
      "sub_type": null,
      "created_at": "2026-11-17T20:15:21.140Z"
    }
  ],
  "transcription_state": "not_started",
  "recording_state": "not_started",
  "join_at": "2026-11-17T20:15:21.140Z",
  "deduplication_key": "string"
}